Package net.commoble.exmachina.internal

# Class ExMachina

java.lang.Object
net.commoble.exmachina.internal.ExMachina

public class ExMachina extends Object
Mod class for Ex Machina where things are registered and events are subscribed. You may be looking for:

- `ExMachinaRegistries`, which has registry keys for Ex Machina's registries
- `ExMachinaTags`, which has Ex Machina's tag keys
- `ExMachinaDataMaps`, which has Ex Machina's data map types
- `SignalGraphUpdateGameEvent.scheduleSignalGraphUpdate(net.minecraft.world.level.LevelAccessor, net.minecraft.core.BlockPos)` to invoke a signal graph update
- The net.commoble.exmachina.api package, which has api interfaces and records
- The net.commoble.exmachina.api.content package, which has the classes of Ex Machina's registered objects and their resource keys

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CommonConfig`
`COMMON_CONFIG`
config/exmachina-common.toml
`static final String`
`MODID`
Mod ID

## Constructor Summary

Constructors
Constructor
Description
`ExMachina(net.neoforged.bus.api.IEventBus modBus)`
mod constructor

## Method Summary

Modifier and Type
Method
Description
`static net.minecraft.resources.ResourceLocation`
`id(String name)`
Returns ResourceLocation of exmachina:${name}.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MODID

public static final String MODID
Mod ID

See Also:
  - Constant Field Values

### COMMON_CONFIG

public static final CommonConfig COMMON_CONFIG
config/exmachina-common.toml

## Constructor Details

### ExMachina

public ExMachina(net.neoforged.bus.api.IEventBus modBus)
mod constructor

Parameters:
  `modBus` - mod bus

## Method Details

### id

public static net.minecraft.resources.ResourceLocation id(String name)
Returns ResourceLocation of exmachina:${name}.

Parameters:
  `name` - ResourceLocation path
Returns:
  ResourceLocation of exmachina:${name}